use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    'NAME'	=> 'XML::Sig',
    'VERSION_FROM'	=> 'lib/XML/Sig.pm',
    'ABSTRACT'  => "An XML Digital Signature Toolkit",
    'AUTHOR'    => 'Byrne Reese <byrne@majordojo.com>',
    'DISTNAME'  => 'XML-Sig',
#    'LICENSE'   => 'perl',
    'LIBS'	=> [''],   # e.g., '-lm' 
    'DEFINE'	=> '',     # e.g., '-DHAVE_SOMETHING' 
    'INC'	=> '',     # e.g., '-I/usr/include/other' 
#    'PM'	=> {'Spec.pm'	=> '$(INST_LIBDIR)/File/Spec.pm',
#    			'OS2.pm'	=> '$(INST_LIBDIR)/File/Spec/OS2.pm',
#    			'Win32.pm'	=> '$(INST_LIBDIR)/File/Spec/Win32.pm',
#    			'VMS.pm'	=> '$(INST_LIBDIR)/File/Spec/VMS.pm',
#   			'Unix.pm'	=> '$(INST_LIBDIR)/File/Spec/Unix.pm',
#    			}
);
__END__

use inc::Module::Install;

name('XML-Sig');
abstract('An XML Digital Signature Toolkit');
author('Byrne Reese <byrne@majordojo.com>');
version_from('lib/XML/Sig.pm');
license('perl');
no_index(directory => 't');
include('XML::Sig');
sign(0);

include('ExtUtils::AutoInstall');

requires('Digest::SHA1');
requires('XML::XPath');
requires('Crypt::OpenSSL::X509');
requires('Crypt::OpenSSL::Random');
requires('Crypt::OpenSSL::RSA');
requires('MIME::Base64');

features(
    'Downloader' => [
        -default => 1,
        'Digest::SHA1' => 1,
    ],
);

auto_include();
auto_install();

&WriteAll;
__END__


